Audiolet
========
Audiolet is a JavaScript library for real-time audio synthesis and composition from within the browser.  It uses graph-based routing and pattern-based scheduling to make complex audio simple to program, and easy to understand.

## Features

* Simple graph based audio routing API
* Expanding selection of generators and effects
* Sample-accurate scheduling
* Processing group (sub-patch/sub-graph/synth) support
* Pattern based algorithmic composition
* Feedback routing
* Support for microtonal and non-western tunings and scales

## What does it look like?

How about a simple example?  The following code will play a 440hz sine wave through both speakers.

### Hello sine

    var audiolet = new Audiolet();
    var sine = new Sine(audiolet, 440);
    sine.connect(audiolet.output);

Easy huh?

## Sounds great!

Glad you think so!  Check out the [wiki](https://github.com/oampo/Audiolet/wiki) for instructions on how to get started with Audiolet.

